Regression (sort of) in LLVM 2.8 with opt and --enabled-shared

Hi,

There is a bug [1] that prevents opt from loading libraries on Mac OS X, but only when using the opt in the install directory. (It works if you execute the opt located in the LLVM build directory.) Luckily, there's an easy workaround: Simply pass "--enable-shared" as a configure parameter when building LLVM. But for some reason this no longer works on LLVM 2.8. Is there perhaps an easy way to get the workaround working again? Thanks,

Trevor

[1] http://llvm.org/bugs/show_bug.cgi?id=2771

Scratch that; I still had LLVM 2.7 in my PATH, so no regression after all. Sorry for the false alarm. I do think this bug should be closed now...